#does not build with rmath and rmath-devel installed

%define cantorlibs_major 22
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}
%define devel %mklibname %name -d

Name:           cantor
Summary:        KDE4 Interface for doing Mathematics and Scientific Computing
Version:        23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://www.kde.org/applications/education/cantor/
Source:         http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires:  kf5-macros 
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  lib64analitza-devel 
BuildRequires:  lib64cln-devel 
BuildRequires:  lib64kconfig-devel 
BuildRequires:  lib64kcoreaddons-devel 
BuildRequires:  lib64kdoctools-devel
BuildRequires:  lib64kf5archive-devel 
BuildRequires:  lib64kf5completion-devel 
BuildRequires:  lib64kf5configwidgets-devel 
BuildRequires:  lib64kf5crash-devel 
BuildRequires:  lib64kf5i18n-devel 
BuildRequires:  lib64kf5iconthemes-devel 
BuildRequires:  lib64kf5newstuff-devel 
BuildRequires:  lib64kf5parts-devel 
BuildRequires:  lib64kf5pty-devel 
BuildRequires:  lib64kf5service-devel 
BuildRequires:  lib64kf5sonnetui-devel 
BuildRequires:  lib64kf5texteditor-devel 
BuildRequires:  lib64kf5textwidgets-devel 
BuildRequires:  lib64kf5widgetsaddons-devel 
BuildRequires:  lib64kf5xmlgui-devel 
BuildRequires:  lib64kio-devel 
BuildRequires:  lib64python3-devel 
BuildRequires:  lib64python-devel 
BuildRequires:  lib64qalculate-devel 
BuildRequires:  lib64qt5base5-devel
BuildRequires:  lib64qt5core-devel 
BuildRequires:  lib64qt5dbus-devel 
BuildRequires:  lib64qt5printsupport-devel 
BuildRequires:  lib64qt5widgets-devel 
BuildRequires:  lib64qt5xml-devel 
BuildRequires:  lib64spectre-devel 
BuildRequires:  luajit-devel 
BuildRequires:  qtbase5-common-devel 
#BuildRequires:  R-base

%description
Cantor is a KDE5 Application aimed to provide a nice interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files
%{_bindir}
%{_datadir}
/usr/lib64/qt5/plugins
/usr/lib64/cantor_pythonbackend.so
/usr/lib64/libcantor_config.so
/usr/lib64/libcantorlibs.so.*

#------------------------------------------------------------------------------

%package handbook
Summary:        Cantor Handbook
Requires:       %name
BuildArch:      noarch
Group:          Documentation

%description handbook
This package provides Cantor handbook.

%files handbook
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package -n %devel
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires: %name

%description -n %devel
Files needed to build applications based on %{name}.

%files -n %devel
%_kf5_libdir/libcantorlibs.so
%_includedir/%{name}
/usr/lib64/cmake/Cantor/CantorConfig.cmake
/usr/lib64/cmake/Cantor/CantorConfigVersion.cmake
/usr/lib64/cmake/Cantor/CantorTargets-relwithdebinfo.cmake
/usr/lib64/cmake/Cantor/CantorTargets.cmake
#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -Wno-dev  -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

